Bug 1658174 - ibus emoji chooser should not change size dynamically
Summary: ibus emoji chooser should not change size dynamically
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 12:46 UTC by Jens Petersen
Modified: 2019-11-06 09:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jens Petersen 2018-12-11 12:46:05 UTC
Description of problem:
When using `ibus emoji` and scrolling or moving over the grid of emoji
the size of the window changes depending on the description annotation etc.
I think the size of the window should be fixed (maybe resizable) but
the size should not change when moving the mouse over or scrolling through.

Version-Release number of selected component (if applicable):
ibus-1.5.19-9.fc29

How reproducible:
100%

Steps to Reproduce:
1. $ ibus emoji
2. Select a category
3. Move mouse over emoji grid or scroll through list.

Actual results:
Window size changes depending on annotation.

Expected results:
Window size should be constant.

Additional info:
If the window is nearly an edge it may get moved because of the resizing.

Comment 1 fujiwara 2018-12-12 10:03:53 UTC
> Window size should be constant.

How can the size be constant?

> If the window is nearly an edge it may get moved because of the resizing.

My suggestion was not to move the window when the cursor is moved in the same page even if the resize happens. But seems you found a case the window is moved.
Could you give an example of a category and which emojis your cursor is over?

Comment 2 Ben Cotton 2019-10-31 20:19:50 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.